--- old/usr/src/lib/auditd_plugins/binfile/Makefile.com	Tue Jan  8 12:14:36 2019
+++ new/usr/src/lib/auditd_plugins/binfile/Makefile.com	Tue Jan  8 12:14:36 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	audit_binfile.a
 VERS=		.1
@@ -40,6 +41,9 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 ROOTLIBDIR=	$(ROOT)/usr/lib/security
 
 .KEEP_STATE:
--- old/usr/src/lib/auditd_plugins/syslog/Makefile.com	Tue Jan  8 12:14:38 2019
+++ new/usr/src/lib/auditd_plugins/syslog/Makefile.com	Tue Jan  8 12:14:38 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	audit_syslog.a
 VERS=		.1
@@ -50,6 +51,9 @@
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 ROOTLIBDIR=	$(ROOT)/usr/lib/security
 
 .KEEP_STATE:
--- old/usr/src/lib/brand/shared/librtld_db/Makefile.com	Tue Jan  8 12:14:39 2019
+++ new/usr/src/lib/brand/shared/librtld_db/Makefile.com	Tue Jan  8 12:14:39 2019
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 include $(SRC)/lib/Makefile.lib
 
@@ -52,6 +53,9 @@
 			-I$(SRC)/cmd/sgs/include \
 			-I$(SRC)/cmd/sgs/include/$(MACH)
 
+# not linted
+SMATCH=off
+
 ROOTLIBDIR =	$(ROOT)/usr/lib/brand/$(BRAND)
 ROOTLIBDIR64 =	$(ROOT)/usr/lib/brand/$(BRAND)/$(MACH64)
 
--- old/usr/src/lib/cfgadm_plugins/fp/Makefile.com	Tue Jan  8 12:14:39 2019
+++ new/usr/src/lib/cfgadm_plugins/fp/Makefile.com	Tue Jan  8 12:14:39 2019
@@ -22,12 +22,12 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= fp.a
 VERS= .1
 
-OBJECTS = cfga_fp.o cfga_rcm.o cfga_cs.o cfga_utils.o 
+OBJECTS = cfga_fp.o cfga_rcm.o cfga_cs.o cfga_utils.o
 OBJECTS += cfga_cvt.o cfga_list.o cfga_rep.o
 
 # include library definitions
@@ -51,6 +51,9 @@
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-address
 
+# not linted
+SMATCH=off
+
 CPPFLAGS += -D_POSIX_PTHREAD_SEMANTICS
 
 LINTFLAGS += -erroff=E_SEC_SPRINTF_UNBOUNDED_COPY
--- old/usr/src/lib/cfgadm_plugins/ib/Makefile.com	Tue Jan  8 12:14:40 2019
+++ new/usr/src/lib/cfgadm_plugins/ib/Makefile.com	Tue Jan  8 12:14:40 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= ib.a
 VERS= .1
@@ -48,6 +49,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-unused-value
 
+# not linted
+SMATCH=off
+
 LDLIBS +=	-lc -ldevice -ldevinfo -lrcm -lnvpair
 
 .KEEP_STATE:
--- old/usr/src/lib/cfgadm_plugins/pci/Makefile.com	Tue Jan  8 12:14:41 2019
+++ new/usr/src/lib/cfgadm_plugins/pci/Makefile.com	Tue Jan  8 12:14:41 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= pci.a
 VERS= .1
@@ -51,6 +52,9 @@
 CERRWARN +=	-_gcc=-Wno-char-subscripts
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/cfgadm_plugins/sbd/Makefile.com	Tue Jan  8 12:14:42 2019
+++ new/usr/src/lib/cfgadm_plugins/sbd/Makefile.com	Tue Jan  8 12:14:42 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= sbd.a
 VERS= .1
@@ -51,6 +52,9 @@
 CERRWARN +=	-_gcc=-Wno-char-subscripts
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 CPPFLAGS +=	-I$(ROOT)/usr/platform/$(PLATFORM)/include -DSBD_DEBUG
 #
 #	Generate the error messages form sbd_ioctl.h
--- old/usr/src/lib/cfgadm_plugins/scsi/Makefile.com	Tue Jan  8 12:14:44 2019
+++ new/usr/src/lib/cfgadm_plugins/scsi/Makefile.com	Tue Jan  8 12:14:44 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= scsi.a
 VERS= .1
@@ -43,6 +44,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-address
 
+# not linted
+SMATCH=off
+
 LDLIBS +=	-lc -ldevice -ldevinfo -lrcm
 
 .KEEP_STATE:
--- old/usr/src/lib/cfgadm_plugins/shp/Makefile.com	Tue Jan  8 12:14:47 2019
+++ new/usr/src/lib/cfgadm_plugins/shp/Makefile.com	Tue Jan  8 12:14:47 2019
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 2009, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= shp.a
 VERS= .1
@@ -52,6 +53,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-unused-variable
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/cfgadm_plugins/sysctrl/Makefile.com	Tue Jan  8 12:14:49 2019
+++ new/usr/src/lib/cfgadm_plugins/sysctrl/Makefile.com	Tue Jan  8 12:14:49 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 include $(SRC)/lib/cfgadm_plugins/Makefile.com
 
@@ -56,6 +57,9 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/cfgadm_plugins/usb/Makefile.com	Tue Jan  8 12:14:52 2019
+++ new/usr/src/lib/cfgadm_plugins/usb/Makefile.com	Tue Jan  8 12:14:52 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= usb.a
 VERS= .1
@@ -48,6 +49,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-unused-value
 
+# not linted
+SMATCH=off
+
 LDLIBS +=	-lc -ldevice -ldevinfo -lrcm -lnvpair
 
 .KEEP_STATE:
--- old/usr/src/lib/fm/libdiskstatus/Makefile.com	Tue Jan  8 12:14:55 2019
+++ new/usr/src/lib/fm/libdiskstatus/Makefile.com	Tue Jan  8 12:14:55 2019
@@ -22,7 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	libdiskstatus.a
 VERS=		.1
@@ -44,6 +44,9 @@
 LDLIBS +=	-lc -lnvpair
 CPPFLAGS +=	$(INCS)
 
+# not linted
+SMATCH=off
+
 $(LINTLIB) := SRCS=	$(SRCDIR)/$(LINTSRC)
 
 .KEEP_STATE:
--- old/usr/src/lib/fm/libfmd_msg/Makefile.com	Tue Jan  8 12:14:58 2019
+++ new/usr/src/lib/fm/libfmd_msg/Makefile.com	Tue Jan  8 12:14:58 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY = libfmd_msg.a
 VERS = .1
@@ -42,6 +43,9 @@
 CFLAGS64 += $(CCVERBOSE) $(C_BIGPICFLAGS)
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-uninitialized
+
+SMOFF += all_func_returns
+
 LDLIBS += -lnvpair -lc
 
 LINTFLAGS = -msux
--- old/usr/src/lib/fm/libseslog/Makefile.com	Tue Jan  8 12:15:00 2019
+++ new/usr/src/lib/fm/libseslog/Makefile.com	Tue Jan  8 12:15:00 2019
@@ -21,12 +21,13 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 
 LIBRARY=	libseslog.a
 VERS=		.1
 
-OBJECTS=	libseslog.o 
+OBJECTS=	libseslog.o
 
 include ../../../Makefile.lib
 include ../../Makefile.lib
@@ -39,6 +40,9 @@
 LDLIBS +=	-lc -lnvpair
 CPPFLAGS +=	$(INCS)
 
+# not linted
+SMATCH=off
+
 $(LINTLIB) := SRCS=	$(SRCDIR)/$(LINTSRC)
 
 .KEEP_STATE:
--- old/usr/src/lib/fm/topo/libtopo/Makefile.com	Tue Jan  8 12:15:01 2019
+++ new/usr/src/lib/fm/topo/libtopo/Makefile.com	Tue Jan  8 12:15:01 2019
@@ -83,6 +83,9 @@
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 LINTFLAGS = -msux
 LINTFLAGS64 = -msux -m64
 
--- old/usr/src/lib/fm/topo/modules/i86pc/chip/Makefile	Tue Jan  8 12:15:03 2019
+++ new/usr/src/lib/fm/topo/modules/i86pc/chip/Makefile	Tue Jan  8 12:15:03 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 MODULE = chip
 ARCH = i86pc
@@ -31,3 +32,6 @@
 
 include ../../Makefile.plugin
 LDLIBS += -lipmi -lfmd_agent -lumem -lsmbios
+
+# not linted
+SMATCH=off
--- old/usr/src/lib/gss_mechs/mech_dh/backend/Makefile.com	Tue Jan  8 12:15:05 2019
+++ new/usr/src/lib/gss_mechs/mech_dh/backend/Makefile.com	Tue Jan  8 12:15:05 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # This make file will build mech_dh.so.1. This shared object
@@ -50,6 +51,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# needs work
+SMATCH=off
+
 $(PICS) := 	CFLAGS += $(XFFLAG)
 $(PICS) := 	CCFLAGS += $(XFFLAG)
 $(PICS) :=	CFLAGS64 += $(XFFLAG)
--- old/usr/src/lib/gss_mechs/mech_dummy/Makefile.com	Tue Jan  8 12:15:06 2019
+++ new/usr/src/lib/gss_mechs/mech_dummy/Makefile.com	Tue Jan  8 12:15:06 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # The mech_dummy shared object contains all the functionality needed to
@@ -43,6 +44,9 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# needs work
+SMATCH=off
+
 SRCDIR =	../mech
 LIBS =		$(DYNLIB)
 LDLIBS +=	-lgss -lc
--- old/usr/src/lib/gss_mechs/mech_krb5/Makefile.com	Tue Jan  8 12:15:08 2019
+++ new/usr/src/lib/gss_mechs/mech_krb5/Makefile.com	Tue Jan  8 12:15:08 2019
@@ -20,6 +20,8 @@
 #
 # Copyright (c) 1999, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
+#
 # This make file will build mech_krb5.so.1. This shared object
 # contains all the functionality needed to support the Kereros V5 GSS-API
 # mechanism. No other Kerberos libraries are needed.
@@ -262,6 +264,9 @@
 CERRWARN +=	-_gcc=-Wno-empty-body
 CERRWARN +=	-_gcc=-Wno-address
 
+# needs work
+SMATCH=off
+
 MAPFILES =	../mapfile-vers
 
 #CPPFLAGS += 	-D_REENTRANT
--- old/usr/src/lib/gss_mechs/mech_spnego/Makefile.com	Tue Jan  8 12:15:09 2019
+++ new/usr/src/lib/gss_mechs/mech_spnego/Makefile.com	Tue Jan  8 12:15:09 2019
@@ -21,8 +21,8 @@
 #
 # Copyright (c) 1999, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
-
 #
 # This make file will build mech_spnego.so.1. This shared object
 # contains all the functionality needed to support the SPNEGO GSS-API
@@ -48,6 +48,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-function
 CERRWARN +=	-_gcc=-Wno-type-limits
 
+# needs work
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/hal/libhal-storage/Makefile.com	Tue Jan  8 12:15:10 2019
+++ new/usr/src/lib/hal/libhal-storage/Makefile.com	Tue Jan  8 12:15:10 2019
@@ -22,9 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
-# usr/src/lib/hal/libhal-storage/Makefile.com
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libhal-storage.a
 VERS =		.1.0.0
@@ -47,6 +45,8 @@
 CPPFLAGS +=	-DPACKAGE_LOCALE_DIR=\"/usr/lib/locale\"
 CPPFLAGS +=	-I$(ROOT)/usr/include/hal
 
+SMOFF += all_func_returns
+
 ROOTMAJLINK =	$(ROOTLIBDIR)/$(LIBRARY:.a=.so)$(VERS_MAJ)
 ROOTMAJLINK64 =	$(ROOTLIBDIR64)/$(LIBRARY:.a=.so)$(VERS_MAJ)
 
--- old/usr/src/lib/hal/libhal/Makefile.com	Tue Jan  8 12:15:11 2019
+++ new/usr/src/lib/hal/libhal/Makefile.com	Tue Jan  8 12:15:11 2019
@@ -25,6 +25,7 @@
 #
 # usr/src/lib/hal/libhal/Makefile.com
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libhal.a
 VERS =		.1.0.0
@@ -44,6 +45,8 @@
 CPPFLAGS +=	$(HAL_CONFIG_CPPFLAGS)
 CPPFLAGS +=	-DGETTEXT_PACKAGE=\"$(HAL_GETTEXT_PACKAGE)\" -DENABLE_NLS
 
+SMOFF += all_func_returns,leaks
+
 ROOTMAJLINK =	$(ROOTLIBDIR)/$(LIBRARY:.a=.so)$(VERS_MAJ)
 ROOTMAJLINK64 =	$(ROOTLIBDIR64)/$(LIBRARY:.a=.so)$(VERS_MAJ)
 
--- old/usr/src/lib/hbaapi/Makefile.com	Tue Jan  8 12:15:13 2019
+++ new/usr/src/lib/hbaapi/Makefile.com	Tue Jan  8 12:15:13 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 
 LIBRARY =	libHBAAPI.a
@@ -45,6 +46,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-unused-function
 
+# not linted
+SMATCH=off
+
 LDLIBS +=	-lc
 
 $(LINTLIB) := SRCS=	$(SRCDIR)/$(LINTSRC)
--- old/usr/src/lib/iconv_modules/hi_IN/Makefile.com	Tue Jan  8 12:15:16 2019
+++ new/usr/src/lib/iconv_modules/hi_IN/Makefile.com	Tue Jan  8 12:15:16 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 SRCS	=	iscii91%UTF-8.c \
 		UTF-8%iscii91.c \
@@ -36,4 +37,7 @@
 
 CFLAGS += -I../include
 
+# needs work
+SMOFF += index_overflow
+
 all: $(PROGS)
--- old/usr/src/lib/iconv_modules/ja/Makefile.com	Tue Jan  8 12:15:19 2019
+++ new/usr/src/lib/iconv_modules/ja/Makefile.com	Tue Jan  8 12:15:19 2019
@@ -22,6 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 include $(SRC)/Makefile.master
 
@@ -34,6 +35,9 @@
 
 LDLIBS=	-lc
 
+# needs work
+SMATCH=off
+
 INSTALL_MODULES = .modules_installed
 CLEANFILES += $(INSTALL_MODULES)
 
--- old/usr/src/lib/iconv_modules/ko/Makefile.com	Tue Jan  8 12:15:23 2019
+++ new/usr/src/lib/iconv_modules/ko/Makefile.com	Tue Jan  8 12:15:23 2019
@@ -22,7 +22,9 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
+
 include $(SRC)/lib/iconv_modules/Makefile.iconv
 
 install		:=	TARGET = install
@@ -92,6 +94,9 @@
 LDFLAGS = $(DYNFLAGS) $(LDLIBS) $(CFLAG_OPT)
 CFLAGS += -I$(ICONV_COMMON) -I../inc
 
+# needs work
+SMATCH=off
+
 LINK_TARGETS = $(U2UH) $(C9332U) $(UH2U) $(E2U) $(I2U) $(O2U) $(N2U) \
 	$(E2I) $(E2J) $(E2J92) $(E2NB) $(I2E) $(J2E) $(J922E) $(NVBE) \
 	$(UCS2BE2UH) $(U2LE2UH) $(U2C933) $(U2E) $(U2I) $(U2O) $(U2N) \
--- old/usr/src/lib/iconv_modules/utf-8/Makefile.com	Tue Jan  8 12:15:27 2019
+++ new/usr/src/lib/iconv_modules/utf-8/Makefile.com	Tue Jan  8 12:15:27 2019
@@ -22,6 +22,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 include $(SRC)/Makefile.master
 
@@ -75,6 +76,9 @@
 
 LDFLAGS = $(DYNFLAGS) $(LDLIBS) $(CFLAG_OPT)
 
+# needs work
+SMATCH=off
+
 $(DYNOBJS)		:= CFLAGS += $(XREGSFLAG) $(C_PICFLAGS) -D_REENTRANT \
 					-I$(COMMON) -I$(COMMON)/tbls \
 					-I$(ADJUNCT_PROTO)/usr/include
--- old/usr/src/lib/iconv_modules/vi/Makefile.com	Tue Jan  8 12:15:30 2019
+++ new/usr/src/lib/iconv_modules/vi/Makefile.com	Tue Jan  8 12:15:30 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 SRCS		=	tcvn%UCS-2.c \
             tcvn%UTF-8.c \
@@ -38,6 +39,9 @@
 LINK_TARGETS  = UCS-2BE%tcvn.so tcvn%UCS-2BE.so
 LINK_TARGETS += UCS-2BE%viscii.so viscii%UCS-2BE.so
 
+# needs work
+SMOFF += all_func_returns,deref_check
+
 dummy: all
 
 tcvn%UCS-2LE.o: $(COMMON)tcvn%UCS-2.c
--- old/usr/src/lib/iconv_modules/zh/Makefile.com	Tue Jan  8 12:15:33 2019
+++ new/usr/src/lib/iconv_modules/zh/Makefile.com	Tue Jan  8 12:15:33 2019
@@ -22,9 +22,13 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LDFLAGS	=	$(DYNFLAGS) $(LDLIBS)
 
+# needs work
+SMATCH=off
+
 COMMON = ../common/
 
 ICONV_COMMON  = ../../common/
--- old/usr/src/lib/krb5/dyn/Makefile.com	Tue Jan  8 12:15:35 2019
+++ new/usr/src/lib/krb5/dyn/Makefile.com	Tue Jan  8 12:15:35 2019
@@ -22,7 +22,9 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
+
 LIBRARY= libdyn.a
 VERS= .1
 
@@ -63,6 +65,8 @@
 
 CERRWARN +=	-_gcc=-Wno-unused-variable
 
+SMOFF += no_if_block
+
 .KEEP_STATE:
 
 all:	$(LIBS)
--- old/usr/src/lib/krb5/kadm5/clnt/Makefile.com	Tue Jan  8 12:15:36 2019
+++ new/usr/src/lib/krb5/kadm5/clnt/Makefile.com	Tue Jan  8 12:15:36 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= libkadm5clnt.a
 VERS= .1
@@ -86,6 +87,8 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+SMOFF += all_func_returns,indenting,no_if_block
+
 LDLIBS +=	-lc
 
 .KEEP_STATE:
--- old/usr/src/lib/krb5/kadm5/srv/Makefile.com	Tue Jan  8 12:15:38 2019
+++ new/usr/src/lib/krb5/kadm5/srv/Makefile.com	Tue Jan  8 12:15:38 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= libkadm5srv.a
 VERS= .1
@@ -93,6 +94,8 @@
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+SMOFF += all_func_returns,indenting
+
 .KEEP_STATE:
 
 all:	$(LIBS)
--- old/usr/src/lib/krb5/kdb/Makefile.com	Tue Jan  8 12:15:40 2019
+++ new/usr/src/lib/krb5/kdb/Makefile.com	Tue Jan  8 12:15:40 2019
@@ -22,6 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= libkdb.a
 VERS= .1
@@ -87,6 +88,8 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-parentheses
 
+SMOFF += indenting,all_func_returns,deref_check,signed
+
 DYNFLAGS +=	$(KRUNPATH) $(KMECHLIB)
 LDLIBS +=	-lc -lnsl
 
--- old/usr/src/lib/krb5/plugins/kdb/db2/Makefile.com	Tue Jan  8 12:15:43 2019
+++ new/usr/src/lib/krb5/plugins/kdb/db2/Makefile.com	Tue Jan  8 12:15:43 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= db2.a
 VERS= .1
@@ -69,6 +70,9 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 DYNFLAGS +=	$(KRUNPATH) $(KERBRUNPATH) $(KMECHLIB)
 LDLIBS +=	-L $(ROOTLIBDIR) -ldb2 -lkdb -lkadm5srv -lc -lnsl
 
--- old/usr/src/lib/krb5/plugins/kdb/db2/libdb2/Makefile.com	Tue Jan  8 12:15:46 2019
+++ new/usr/src/lib/krb5/plugins/kdb/db2/libdb2/Makefile.com	Tue Jan  8 12:15:46 2019
@@ -22,6 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= libdb2.a
 VERS= .1
@@ -102,6 +103,10 @@
 
 CFLAGS +=	$(CCVERBOSE) -I..
 CERRWARN +=	-_gcc=-Wno-uninitialized
+
+# not linted
+SMATCH=off
+
 LDLIBS +=	-lc
 
 # Identify that this library is an interposer (on dbm_ routines from libc.so.1).
--- old/usr/src/lib/krb5/plugins/kdb/ldap/libkdb_ldap/Makefile.com	Tue Jan  8 12:15:49 2019
+++ new/usr/src/lib/krb5/plugins/kdb/ldap/libkdb_ldap/Makefile.com	Tue Jan  8 12:15:49 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= libkdb_ldap.a
 VERS= .1
@@ -76,6 +77,10 @@
 CFLAGS +=	$(CCVERBOSE) -I..
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-function
+
+# not linted
+SMATCH=off
+
 DYNFLAGS +=	$(KRUNPATH) $(KERBRUNPATH) $(KMECHLIB)
 LDLIBS +=	-L $(ROOTLIBDIR) -lkadm5srv -lc -lnsl -lldap
 
--- old/usr/src/lib/krb5/plugins/preauth/pkinit/Makefile.com	Tue Jan  8 12:15:50 2019
+++ new/usr/src/lib/krb5/plugins/preauth/pkinit/Makefile.com	Tue Jan  8 12:15:50 2019
@@ -22,7 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= pkinit.a
 VERS= .1
@@ -68,6 +68,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-unused-function
 
+# not linted
+SMATCH=off
+
 CFLAGS +=	$(CCVERBOSE) -I..
 DYNFLAGS +=	$(KRUNPATH) $(KMECHLIB) -znodelete
 LDLIBS +=	-L $(ROOTLIBDIR) -lcrypto -lc
--- old/usr/src/lib/krb5/ss/Makefile.com	Tue Jan  8 12:15:51 2019
+++ new/usr/src/lib/krb5/ss/Makefile.com	Tue Jan  8 12:15:51 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= libss.a
 VERS= .1
@@ -69,6 +70,8 @@
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-unused-variable
 
+SMOFF += all_func_returns
+
 DYNFLAGS +=	$(KRUNPATH) $(KMECHLIB) $(ZIGNORE)
 
 LDLIBS +=	-lc -ltecla
--- old/usr/src/lib/libadm/Makefile.com	Tue Jan  8 12:15:52 2019
+++ new/usr/src/lib/libadm/Makefile.com	Tue Jan  8 12:15:52 2019
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 1997, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	libadm.a
 VERS=		.1
@@ -47,6 +48,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-char-subscripts
 
+# not linted
+SMATCH=off
+
 $(LINTLIB) :=	SRCS=$(SRCDIR)/$(LINTSRC)
 LDLIBS +=	-lc
 
--- old/usr/src/lib/libadt_jni/Makefile.com	Tue Jan  8 12:15:53 2019
+++ new/usr/src/lib/libadt_jni/Makefile.com	Tue Jan  8 12:15:53 2019
@@ -22,8 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	libadt_jni.a
 VERS=		.1
@@ -40,6 +39,9 @@
 CPPFLAGS +=	-I$(JAVA_ROOT)/include -I$(JAVA_ROOT)/include/solaris
 CPPFLAGS +=	-D_REENTRANT
 
+# not linted
+SMATCH=off
+
 DYNFLAGS +=
 LDLIBS +=	-lc -lbsm
 
--- old/usr/src/lib/libadutils/Makefile.com	Tue Jan  8 12:15:54 2019
+++ new/usr/src/lib/libadutils/Makefile.com	Tue Jan  8 12:15:54 2019
@@ -24,6 +24,7 @@
 #
 # Copyright 2014 Nexenta Systems, Inc.  All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libadutils.a
 VERS =		.1
@@ -47,6 +48,9 @@
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/libbsdmalloc/Makefile.com	Tue Jan  8 12:15:55 2019
+++ new/usr/src/lib/libbsdmalloc/Makefile.com	Tue Jan  8 12:15:55 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	libbsdmalloc.a
 VERS=		.1
@@ -53,6 +54,9 @@
 DYNFLAGS +=     $(ZINTERPOSE)
 LDLIBS +=       -lc
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 lint:
--- old/usr/src/lib/libbsm/Makefile.com	Tue Jan  8 12:15:56 2019
+++ new/usr/src/lib/libbsm/Makefile.com	Tue Jan  8 12:15:56 2019
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 1997, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libbsm.a
 VERS = 		.1
@@ -88,6 +89,9 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 COMDIR=		../common
 AUDITD=		$(SRC)/cmd/auditd
 
--- old/usr/src/lib/libc_db/Makefile.com	Tue Jan  8 12:15:58 2019
+++ new/usr/src/lib/libc_db/Makefile.com	Tue Jan  8 12:15:58 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY = libc_db.a
 VERS = .1
@@ -49,6 +50,9 @@
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/libcfgadm/Makefile.com	Tue Jan  8 12:16:00 2019
+++ new/usr/src/lib/libcfgadm/Makefile.com	Tue Jan  8 12:16:00 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libcfgadm.a
 VERS =		.1
@@ -39,6 +40,8 @@
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-unused-label
 
+SMOFF += snprintf_overflow
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/libcmd/Makefile.com	Tue Jan  8 12:16:03 2019
+++ new/usr/src/lib/libcmd/Makefile.com	Tue Jan  8 12:16:03 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2007, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 
 SHELL=/usr/bin/ksh93
@@ -138,6 +139,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-implicit-function-declaration
 
+# not linted
+SMATCH=off
+
 pics/cut.o	:= CERRWARN += -erroff=E_END_OF_LOOP_CODE_NOT_REACHED
 pics/sync.o	:= CERRWARN += -erroff=E_END_OF_LOOP_CODE_NOT_REACHED
 pics/vmstate.o	:= CERRWARN += -erroff=E_NO_IMPLICIT_DECL_ALLOWED
--- old/usr/src/lib/libcpc/Makefile.com	Tue Jan  8 12:16:07 2019
+++ new/usr/src/lib/libcpc/Makefile.com	Tue Jan  8 12:16:07 2019
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 1999, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY = libcpc.a
 VERS	= .1
@@ -48,6 +49,9 @@
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/libcryptoutil/Makefile.com	Tue Jan  8 12:16:10 2019
+++ new/usr/src/lib/libcryptoutil/Makefile.com	Tue Jan  8 12:16:10 2019
@@ -20,6 +20,7 @@
 #
 # Copyright (c) 2003, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= libcryptoutil.a
 VERS=	.1
@@ -54,6 +55,9 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 all: $(LIBS)
 
 lint: lintcheck
--- old/usr/src/lib/libcurses/Makefile.com	Tue Jan  8 12:16:12 2019
+++ new/usr/src/lib/libcurses/Makefile.com	Tue Jan  8 12:16:12 2019
@@ -23,6 +23,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	libcurses.a
 VERS=	.1
@@ -152,6 +153,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 LDLIBS += -lc
 
 CPPFLAGS += -I../screen -I../../common/inc
--- old/usr/src/lib/libdevinfo/Makefile.com	Tue Jan  8 12:16:16 2019
+++ new/usr/src/lib/libdevinfo/Makefile.com	Tue Jan  8 12:16:16 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	libdevinfo.a
 VERS=		.1
@@ -43,6 +44,9 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/libdhcpagent/Makefile.com	Tue Jan  8 12:16:19 2019
+++ new/usr/src/lib/libdhcpagent/Makefile.com	Tue Jan  8 12:16:19 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY	=	libdhcpagent.a
 VERS =		.1
@@ -39,9 +40,12 @@
 SRCDIR =	../common
 $(LINTLIB) :=	SRCS = $(SRCDIR)/$(LINTSRC)
 
-CFLAGS += 	$(CCVERBOSE) 
+CFLAGS += 	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-type-limits
 
+# needs work
+SMOFF += allocating_enough_data
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/libdhcputil/Makefile.com	Tue Jan  8 12:16:20 2019
+++ new/usr/src/lib/libdhcputil/Makefile.com	Tue Jan  8 12:16:20 2019
@@ -22,6 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libdhcputil.a
 VERS =		.1
@@ -48,6 +49,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CPPFLAGS +=	-I$(COMDIR)
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/libdisasm/Makefile.com	Tue Jan  8 12:16:22 2019
+++ new/usr/src/lib/libdisasm/Makefile.com	Tue Jan  8 12:16:22 2019
@@ -123,6 +123,9 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 # We want the thread-specific errno in the library, but we don't want it in
 # the standalone.  $(DTS_ERRNO) is designed to add -D_TS_ERRNO to $(CPPFLAGS),
 # in order to enable this feature.  Conveniently, -D_REENTRANT does the same
--- old/usr/src/lib/libdiskmgt/Makefile.com	Tue Jan  8 12:16:23 2019
+++ new/usr/src/lib/libdiskmgt/Makefile.com	Tue Jan  8 12:16:23 2019
@@ -23,7 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 # Copyright 2016 Nexenta Systems, Inc.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libdiskmgt.a
 VERS =		.1
@@ -65,6 +65,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CPPFLAGS +=	-D_REENTRANT -I$(SRC)/lib/libdiskmgt/common
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/libdladm/Makefile.com	Tue Jan  8 12:16:26 2019
+++ new/usr/src/lib/libdladm/Makefile.com	Tue Jan  8 12:16:26 2019
@@ -20,6 +20,7 @@
 #
 #
 # Copyright (c) 2005, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 LIBRARY = libdladm.a
@@ -48,6 +49,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CPPFLAGS +=	-I$(SRCDIR) -D_REENTRANT
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all:		$(LIBS)
--- old/usr/src/lib/libdll/Makefile.com	Tue Jan  8 12:16:29 2019
+++ new/usr/src/lib/libdll/Makefile.com	Tue Jan  8 12:16:29 2019
@@ -23,6 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 SHELL=/usr/bin/ksh93
 
@@ -86,6 +87,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += all_func_returns,strcpy_overflow
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/libdns_sd/Makefile.com	Tue Jan  8 12:16:33 2019
+++ new/usr/src/lib/libdns_sd/Makefile.com	Tue Jan  8 12:16:33 2019
@@ -22,6 +22,7 @@
 # Use is subject to license terms.
 # Copyright 2016 Toomas Soome <tsoome@me.com>
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libdns_sd.a
 VERS =		.1
@@ -42,7 +43,10 @@
 
 pics/dnssd_clientstub.o := CERRWARN +=	-_gcc=-Wno-unused-but-set-variable
 
-.PARALLEL =     $(OBJECTS)
+# not linted
+SMATCH=off
+
+PARALLEL =     $(OBJECTS)
 .KEEP_STATE:
 
 lint: lintcheck
--- old/usr/src/lib/libdns_sd/java/Makefile.com	Tue Jan  8 12:16:38 2019
+++ new/usr/src/lib/libdns_sd/java/Makefile.com	Tue Jan  8 12:16:38 2019
@@ -22,6 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	libjdns_sd.a
 VERS=		.1
@@ -40,11 +41,14 @@
 CPPFLAGS +=	-D_REENTRANT
 CPPFLAGS +=	-DMDNS_VERSIONSTR_NODTS
 
+# not linted
+SMATCH=off
+
 LDLIBS +=	-lc -lsocket -ldns_sd
 
 CLEANFILES=	$(LINTOUT) $(LINTLIB)
 
-LINTLIB =	
+LINTLIB =
 
 .KEEP_STATE:
 
--- old/usr/src/lib/libdtrace/Makefile.com	Tue Jan  8 12:16:41 2019
+++ new/usr/src/lib/libdtrace/Makefile.com	Tue Jan  8 12:16:41 2019
@@ -22,6 +22,7 @@
 # Copyright (c) 2003, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright (c) 2011, 2016 by Delphix. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY = libdtrace.a
 VERS = .1
@@ -103,7 +104,7 @@
 
 include ../../Makefile.lib
 
-SRCS = $(LIBSRCS:%.c=../common/%.c) $(LIBISASRCS:%.c=../$(MACH)/%.c) 
+SRCS = $(LIBSRCS:%.c=../common/%.c) $(LIBISASRCS:%.c=../$(MACH)/%.c)
 LIBS = $(DYNLIB) $(LINTLIB)
 
 SRCDIR = ../common
@@ -132,6 +133,9 @@
 CERRWARN += -_gcc=-Wno-uninitialized
 CERRWARN += -_gcc=-Wno-switch
 
+# not linted
+SMATCH=off
+
 YYCFLAGS =
 LDLIBS += -lgen -lproc -lrtld_db -lnsl -lsocket -lctf -lelf -lc
 DRTILDLIBS = $(LDLIBS.lib) -lc
--- old/usr/src/lib/libdtrace_jni/Makefile.com	Tue Jan  8 12:16:45 2019
+++ new/usr/src/lib/libdtrace_jni/Makefile.com	Tue Jan  8 12:16:45 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY = libdtrace_jni.a
 VERS = .1
@@ -51,6 +52,8 @@
 
 CERRWARN += -_gcc=-Wno-uninitialized
 
+SMOFF += all_func_returns
+
 LDLIBS += -lc -luutil -ldtrace -lproc
 
 LINTLIB =
--- old/usr/src/lib/libefi/Makefile.com	Tue Jan  8 12:16:48 2019
+++ new/usr/src/lib/libefi/Makefile.com	Tue Jan  8 12:16:48 2019
@@ -23,6 +23,7 @@
 # Copyright 2018 OmniOS Community Edition (OmniOSce) Association.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libefi.a
 VERS =		.1
@@ -42,6 +43,8 @@
 
 LINTFLAGS64 +=	-errchk=longptr64
 
+SMOFF += kmalloc_wrong_size
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/libfdisk/Makefile.com	Tue Jan  8 12:16:51 2019
+++ new/usr/src/lib/libfdisk/Makefile.com	Tue Jan  8 12:16:51 2019
@@ -22,7 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= libfdisk.a
 VERS= .1
@@ -54,6 +54,9 @@
 
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/libficl/Makefile.com	Tue Jan  8 12:16:54 2019
+++ new/usr/src/lib/libficl/Makefile.com	Tue Jan  8 12:16:54 2019
@@ -12,6 +12,7 @@
 #
 # Copyright 2016 Toomas Soome <tsoome@me.com>
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=libficl-sys.a
 MAJOR = 4
@@ -36,6 +37,9 @@
 # for time being, till gcc 4.4.4 will be replaced.
 pics/vm.o := CERRWARN += -_gcc=-Wno-clobbered
 
+# not linted
+SMATCH=off
+
 LDLIBS +=	-luuid -lc -lm -lumem
 
 HEADERS= $(FICLDIR)/ficl.h $(FICLDIR)/ficltokens.h ../ficllocal.h \
--- old/usr/src/lib/libfru/libfruraw/Makefile.com	Tue Jan  8 12:16:55 2019
+++ new/usr/src/lib/libfru/libfruraw/Makefile.com	Tue Jan  8 12:16:55 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	libfruraw.a
 VERS=		.1
@@ -54,6 +55,9 @@
 
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 $(LINTLIB) :=	LINTFLAGS = -nvx -I..
 $(LINTLIB) :=	LINTFLAGS64 = -nvx -m64 -I..
 
--- old/usr/src/lib/libfsmgt/Makefile.com	Tue Jan  8 12:16:58 2019
+++ new/usr/src/lib/libfsmgt/Makefile.com	Tue Jan  8 12:16:59 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libfsmgt.a
 VERS =		.1
@@ -54,6 +55,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 CLOBBERFILES	+= $(SRCDIR)/nfs_sec.c
 CLOBBERFILES	+= $(SRCDIR)/replica.c
 CLOBBERFILES	+= $(SRCDIR)/sharetab.c
--- old/usr/src/lib/libgen/Makefile.com	Tue Jan  8 12:17:02 2019
+++ new/usr/src/lib/libgen/Makefile.com	Tue Jan  8 12:17:02 2019
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 1997, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libgen.a
 VERS =		.1
@@ -46,6 +47,9 @@
 CERRWARN +=	-_gcc=-Wno-char-subscripts
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/libgss/Makefile.com	Tue Jan  8 12:17:05 2019
+++ new/usr/src/lib/libgss/Makefile.com	Tue Jan  8 12:17:05 2019
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 1999, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY = libgss.a
 VERS = .1
@@ -111,6 +112,9 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-empty-body
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/libima/Makefile.com	Tue Jan  8 12:17:08 2019
+++ new/usr/src/lib/libima/Makefile.com	Tue Jan  8 12:17:08 2019
@@ -22,7 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	libima.a
 VERS=		.1
@@ -52,6 +52,9 @@
 
 CERRWARN +=	-_gcc=-Wno-unused-variable
 
+# not linted
+SMATCH=off
+
 LINTFLAGS += -DSOLARIS
 LINTFLAGS64 += -DSOLARIS
 
--- old/usr/src/lib/libinetsvc/Makefile.com	Tue Jan  8 12:17:12 2019
+++ new/usr/src/lib/libinetsvc/Makefile.com	Tue Jan  8 12:17:12 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libinetsvc.a
 VERS =		.1
@@ -43,6 +44,9 @@
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/libinetutil/Makefile.com	Tue Jan  8 12:17:15 2019
+++ new/usr/src/lib/libinetutil/Makefile.com	Tue Jan  8 12:17:15 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY = libinetutil.a
 VERS = 	  .1
@@ -48,6 +49,8 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 
+SMOFF += index_overflow
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/libinstzones/Makefile.com	Tue Jan  8 12:17:17 2019
+++ new/usr/src/lib/libinstzones/Makefile.com	Tue Jan  8 12:17:17 2019
@@ -23,6 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	libinstzones.a
 VERS=		.1
@@ -57,6 +58,9 @@
 CERRWARN +=	-_gcc=-Wno-clobbered
 CERRWARN +=	-_gcc=-Wno-address
 
+# not linted
+SMATCH=off
+
 LIBS = $(DYNLIB) $(LINTLIB)
 
 DYNFLAGS += $(ZLAZYLOAD)
--- old/usr/src/lib/libipadm/Makefile.com	Tue Jan  8 12:17:21 2019
+++ new/usr/src/lib/libipadm/Makefile.com	Tue Jan  8 12:17:21 2019
@@ -21,8 +21,8 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright (c) 2016, Chris Fraire <cfraire@me.com>.
+# Copyright (c) 2018, Joyent, Inc.
 #
-#
 
 LIBRARY = libipadm.a
 VERS    = .1
@@ -46,6 +46,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CPPFLAGS +=	-I$(SRCDIR) -D_REENTRANT
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all:		$(LIBS)
--- old/usr/src/lib/libipsecutil/Makefile.com	Tue Jan  8 12:17:23 2019
+++ new/usr/src/lib/libipsecutil/Makefile.com	Tue Jan  8 12:17:23 2019
@@ -47,6 +47,8 @@
 CERRWARN +=	-_gcc=-Wno-unused-function
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+SMOFF += shift_to_zero
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/libkmf/ber_der/Makefile.com	Tue Jan  8 12:17:26 2019
+++ new/usr/src/lib/libkmf/ber_der/Makefile.com	Tue Jan  8 12:17:26 2019
@@ -21,6 +21,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= libkmfberder.a
 VERS= .1
@@ -51,6 +52,9 @@
 
 CERRWARN	+=	-_gcc=-Wno-unused-label
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all:    $(LIBS)
--- old/usr/src/lib/libkmf/libkmf/Makefile.com	Tue Jan  8 12:17:30 2019
+++ new/usr/src/lib/libkmf/libkmf/Makefile.com	Tue Jan  8 12:17:30 2019
@@ -72,6 +72,9 @@
 CERRWARN	+=	-_gcc=-Wno-type-limits
 CERRWARN	+=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all:    $(LIBS)
--- old/usr/src/lib/libkmf/plugins/kmf_nss/Makefile.com	Tue Jan  8 12:17:33 2019
+++ new/usr/src/lib/libkmf/plugins/kmf_nss/Makefile.com	Tue Jan  8 12:17:33 2019
@@ -22,8 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Makefile for KMF Plugins
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	kmf_nss.a
 VERS=		.1
@@ -46,7 +45,7 @@
 SRCDIR=		../common
 INCDIR=		../../include
 
-CFLAGS		+=	$(CCVERBOSE) 
+CFLAGS		+=	$(CCVERBOSE)
 CPPFLAGS	+=	-D_REENTRANT $(KMFINC) $(NSSINC)  \
 		-I$(INCDIR) -I$(ADJUNCT_PROTO)/usr/include/libxml2
 
@@ -59,6 +58,9 @@
 CERRWARN	+=	-_gcc=-Wno-unused-value
 CERRWARN	+=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 lint:=	NSSLIBS =	$(BERLIB)
 lint:=	NSSLIBS64 =	$(BERLIB64)
 
--- old/usr/src/lib/libkmf/plugins/kmf_openssl/Makefile.com	Tue Jan  8 12:17:37 2019
+++ new/usr/src/lib/libkmf/plugins/kmf_openssl/Makefile.com	Tue Jan  8 12:17:37 2019
@@ -21,8 +21,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Makefile for KMF Plugins
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	kmf_openssl.a
 VERS=		.1
@@ -51,7 +50,7 @@
 SRCDIR=		../common
 INCDIR=		../../include
 
-CFLAGS		+=	$(CCVERBOSE) 
+CFLAGS		+=	$(CCVERBOSE)
 CPPFLAGS	+=	-D_REENTRANT $(KMFINC) \
 			-I$(INCDIR) -I$(ADJUNCT_PROTO)/usr/include/libxml2
 
@@ -59,6 +58,9 @@
 CERRWARN	+=	-_gcc=-Wno-unused-value
 CERRWARN	+=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 PICS=	$(OBJECTS:%=pics/%)
 
 lint:=	OPENSSLLIBS=	$(LINTSSLLIBS)
--- old/usr/src/lib/libkmf/plugins/kmf_pkcs11/Makefile.com	Tue Jan  8 12:17:40 2019
+++ new/usr/src/lib/libkmf/plugins/kmf_pkcs11/Makefile.com	Tue Jan  8 12:17:40 2019
@@ -21,8 +21,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Makefile for KMF Plugins
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	kmf_pkcs11.a
 VERS=		.1
@@ -55,6 +54,9 @@
 
 CERRWARN	+=	-_gcc=-Wno-unused-label
 
+# not linted
+SMATCH=off
+
 PICS=	$(OBJECTS:%=pics/%)
 
 LDLIBS	+=	$(PKCS11LIBS)
--- old/usr/src/lib/libkvm/Makefile.com	Tue Jan  8 12:17:43 2019
+++ new/usr/src/lib/libkvm/Makefile.com	Tue Jan  8 12:17:43 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	libkvm.a
 VERS=		.1
@@ -48,6 +49,8 @@
 
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+SMOFF += signed
+
 CLOBBERFILES += test test.o
 
 .KEEP_STATE:
--- old/usr/src/lib/libldap5/Makefile.com	Tue Jan  8 12:17:45 2019
+++ new/usr/src/lib/libldap5/Makefile.com	Tue Jan  8 12:17:45 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= libldap.a
 VERS= .5
@@ -120,6 +121,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-value
 CERRWARN +=	-_gcc=-Wno-address
 
+# not linted
+SMATCH=off
+
 LDLIBS +=	-lsasl -lsocket -lnsl -lmd -lc
 
 .KEEP_STATE:
--- old/usr/src/lib/libmapid/Makefile.com	Tue Jan  8 12:17:49 2019
+++ new/usr/src/lib/libmapid/Makefile.com	Tue Jan  8 12:17:49 2019
@@ -21,7 +21,7 @@
 #
 # Copyright (c) 2006, 2010, Oracle and/or its affiliates. All rights reserved.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libmapid.a
 VERS	=	.1
@@ -58,6 +58,8 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+SMOFF += all_func_returns
+
 .KEEP_STATE:
 
 all:  $(LIBS)
--- old/usr/src/lib/libmd/Makefile.com	Tue Jan  8 12:17:52 2019
+++ new/usr/src/lib/libmd/Makefile.com	Tue Jan  8 12:17:52 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2006, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2013 Saso Kiselkov. All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 LIBS =		$(DYNLIB) $(LINTLIB)
@@ -42,4 +43,6 @@
 CPPFLAGS +=	-I$(SRCDIR)
 LDLIBS +=	-lc
 
+SMOFF += 64bit_shift
+
 $(LINTLIB) :=	SRCS = $(SRCDIR)/$(LINTSRC)
--- old/usr/src/lib/libnisdb/Makefile	Tue Jan  8 12:17:55 2019
+++ new/usr/src/lib/libnisdb/Makefile	Tue Jan  8 12:17:55 2019
@@ -23,7 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= libnisdb.a
 VERS=	.2
@@ -165,6 +165,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-switch
 
+# not linted
+SMATCH=off
+
 # Extra includes, from yp, for yptol files.
 CPPFLAGS += -I$(SRC)/cmd/ypcmd
 
--- old/usr/src/lib/libnsl/Makefile.com	Tue Jan  8 12:17:59 2019
+++ new/usr/src/lib/libnsl/Makefile.com	Tue Jan  8 12:17:59 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 1997, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2018 Nexenta Systems, Inc. All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 LIBRARY= libnsl.a
@@ -203,6 +204,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-clobbered
 
+# not linted
+SMATCH=off
+
 LIBMP =		-lmp
 lint :=		LIBMP =
 LDLIBS +=	$(LIBMP) -lmd -lc
--- old/usr/src/lib/libnwam/Makefile.com	Tue Jan  8 12:18:00 2019
+++ new/usr/src/lib/libnwam/Makefile.com	Tue Jan  8 12:18:00 2019
@@ -23,6 +23,7 @@
 # Use is subject to license terms.
 # Copyright (c) 2016, Chris Fraire <cfraire@me.com>.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	libnwam.a
 VERS=		.1
@@ -56,6 +57,9 @@
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all:	$(LIBS)
--- old/usr/src/lib/libofmt/Makefile.com	Tue Jan  8 12:18:02 2019
+++ new/usr/src/lib/libofmt/Makefile.com	Tue Jan  8 12:18:02 2019
@@ -11,6 +11,7 @@
 
 #
 # Copyright 2017 Nexenta Systems, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 LIBRARY=	libofmt.a
@@ -29,6 +30,8 @@
 $(LINTLIB)	:= SRCS = $(SRCDIR)/$(LINTSRC)
 LDLIBS +=	-lc
 
+SMOFF += kmalloc_wrong_size
+
 .KEEP_STATE:
 
 all:		$(LIBS)
--- old/usr/src/lib/libpicltree/Makefile.com	Tue Jan  8 12:18:03 2019
+++ new/usr/src/lib/libpicltree/Makefile.com	Tue Jan  8 12:18:03 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	libpicltree.a
 VERS=		.1
@@ -38,6 +39,9 @@
 
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all : $(LIBS)
--- old/usr/src/lib/libpkg/Makefile.com	Tue Jan  8 12:18:04 2019
+++ new/usr/src/lib/libpkg/Makefile.com	Tue Jan  8 12:18:04 2019
@@ -26,6 +26,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= libpkg.a
 VERS=	.1
@@ -67,6 +68,10 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-clobbered
 CERRWARN +=	-_gcc=-Wno-switch
+
+# not linted
+SMATCH=off
+
 CPPFLAGS +=	-I$(SRCDIR) -D_FILE_OFFSET_BITS=64
 
 .KEEP_STATE:
--- old/usr/src/lib/libpool/Makefile.com	Tue Jan  8 12:18:06 2019
+++ new/usr/src/lib/libpool/Makefile.com	Tue Jan  8 12:18:06 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libpool.a
 VERS =		.1
@@ -55,6 +56,9 @@
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/libproc/Makefile.com	Tue Jan  8 12:18:07 2019
+++ new/usr/src/lib/libproc/Makefile.com	Tue Jan  8 12:18:07 2019
@@ -23,6 +23,7 @@
 # Copyright 2012 DEY Storage Systems, Inc.  All rights reserved.
 # Copyright (c) 2013 by Delphix. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY = libproc.a
 VERS = .1
@@ -99,6 +100,9 @@
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-unused-label
 
+# not linted
+SMATCH=off
+
 # All interfaces are interposable, therefore don't allow direct binding to
 # libproc.  Disable libproc from directly binding to itself, but allow libperl
 # to directly bind to its dependencies (ie. map -Bdirect -> -zdirect).  Ensure
--- old/usr/src/lib/libraidcfg/Makefile.com	Tue Jan  8 12:18:07 2019
+++ new/usr/src/lib/libraidcfg/Makefile.com	Tue Jan  8 12:18:07 2019
@@ -23,8 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# lib/libraidcfg/Makefile.com
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libraidcfg.a
 VERS =		.1
@@ -41,6 +40,9 @@
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-type-limits
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/libresolv/Makefile	Tue Jan  8 12:18:09 2019
+++ new/usr/src/lib/libresolv/Makefile	Tue Jan  8 12:18:09 2019
@@ -23,6 +23,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= libresolv.a
 VERS= .1
@@ -60,6 +61,9 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 ROOTDYNLIBS=	$(DYNLIB:%=$(ROOTLIBDIR)/%)
 
 .KEEP_STATE:
--- old/usr/src/lib/libresolv2/Makefile.com	Tue Jan  8 12:18:11 2019
+++ new/usr/src/lib/libresolv2/Makefile.com	Tue Jan  8 12:18:11 2019
@@ -22,7 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= libresolv.a
 VERS= .2
@@ -32,9 +32,9 @@
 		gettimeofday.o	setenv.o	strerror.o	utimes.o \
 		mktemp.o	setitimer.o	strpbrk.o	writev.o
 
-DSTOBJS=	dst_api.o	support.o	hmac_link.o 
+DSTOBJS=	dst_api.o	support.o	hmac_link.o
 
-# inet_addr, inet_pton, inet_ntop, and inet_ntoa removed due to overlap with 
+# inet_addr, inet_pton, inet_ntop, and inet_ntoa removed due to overlap with
 # libnsl
 INETOBJS= 	inet_net_pton.o	inet_neta.o	inet_lnaof.o \
 		inet_netof.o 	nsap_addr.o	inet_makeaddr.o	\
@@ -41,7 +41,7 @@
 		inet_network.o	inet_net_ntop.o	inet_cidr_ntop.o \
 		inet_cidr_pton.o 		inet_data.o
 
-# build only the IRS objects that the ISC libbind's make would 
+# build only the IRS objects that the ISC libbind's make would
 IRSTHROBJS=	gethostent_r.o	getnetent_r.o 	getnetgrent_r.o \
 		getprotoent_r.o	getservent_r.o
 IRSOBJS=	${IRSTHROBJS} \
@@ -108,10 +108,13 @@
 LOCFLAGS +=	-D_SYS_STREAM_H -D_REENTRANT -DSVR4 -DSUNW_OPTIONS \
 		$(SOLCOMPAT) -I../include -I../../common/inc
 
-CPPFLAGS +=	$(LOCFLAGS) 
+CPPFLAGS +=	$(LOCFLAGS)
 
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 
+# not linted
+SMATCH=off
+
 DYNFLAGS +=	$(ZNODELETE)
 
 LDLIBS +=	-lsocket -lnsl -lc -lmd
--- old/usr/src/lib/librestart/Makefile.com	Tue Jan  8 12:18:12 2019
+++ new/usr/src/lib/librestart/Makefile.com	Tue Jan  8 12:18:12 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	librestart.a
 VERS =		.1
@@ -42,6 +43,9 @@
 
 CPPFLAGS +=
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all:
--- old/usr/src/lib/librsm/Makefile.com	Tue Jan  8 12:18:16 2019
+++ new/usr/src/lib/librsm/Makefile.com	Tue Jan  8 12:18:16 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= librsm.a
 VERS= .2
@@ -28,7 +29,7 @@
 
 TEXT_DOMAIN=	SUNW_OST_OSLIB
 
-OBJECTS = rsmlib.o rsmgen.o rsmloopback.o 
+OBJECTS = rsmlib.o rsmgen.o rsmloopback.o
 
 # include library definitions, do not change order of include and DYNLIB
 include ../../Makefile.lib
@@ -41,7 +42,7 @@
 DEBUG =
 $(NOT_RELEASE_BUILD)DEBUG = -DDEBUG
 
-# The COPTFLAG is used for optimization purposes. 
+# The COPTFLAG is used for optimization purposes.
 # It is disabled for debug builds
 $(NOT_RELEASE_BUILD)COPTFLAG =
 $(NOT_RELEASE_BUILD)COPTFLAG64 =
@@ -51,6 +52,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 LDLIBS += -lc
 
 .KEEP_STATE:
--- old/usr/src/lib/librstp/Makefile.com	Tue Jan  8 12:18:20 2019
+++ new/usr/src/lib/librstp/Makefile.com	Tue Jan  8 12:18:20 2019
@@ -23,6 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	librstp.a
 VERS =		.1
@@ -44,6 +45,9 @@
 CFLAGS +=	$(CCVERBOSE)
 CPPFLAGS +=	-I$(SRCDIR) -D__SUN__ -D__STP_INTERNAL__
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/libsasl/Makefile.com	Tue Jan  8 12:18:23 2019
+++ new/usr/src/lib/libsasl/Makefile.com	Tue Jan  8 12:18:23 2019
@@ -22,8 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= libsasl.a
 VERS= .1
@@ -52,6 +51,9 @@
 CFLAGS64 +=	$(XSTRCONST)
 CPPFLAGS +=	-I../include -I$(PLUGDIR)
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/libsaveargs/Makefile.com	Tue Jan  8 12:18:25 2019
+++ new/usr/src/lib/libsaveargs/Makefile.com	Tue Jan  8 12:18:25 2019
@@ -22,6 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # The build process for libsaveargs is sightly different from that used by other
@@ -94,6 +95,9 @@
 CFLAGS64_standalone = $(STAND_FLAGS_64)
 CFLAGS64 += $(CCVERBOSE) $(CFLAGS64_$(CURTYPE)) $(CFLAGS64_common)
 
+# not linted
+SMATCH=off
+
 DYNFLAGS +=     $(ZINTERPOSE)
 
 .KEEP_STATE:
--- old/usr/src/lib/libscf/Makefile.com	Tue Jan  8 12:18:26 2019
+++ new/usr/src/lib/libscf/Makefile.com	Tue Jan  8 12:18:27 2019
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 2004, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libscf.a
 VERS =		.1
@@ -62,6 +63,9 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 #
 # For native builds, we compile and link against the native version
 # of libuutil.
--- old/usr/src/lib/libsec/Makefile.com	Tue Jan  8 12:18:28 2019
+++ new/usr/src/lib/libsec/Makefile.com	Tue Jan  8 12:18:28 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= libsec.a
 VERS= .1
@@ -51,6 +52,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-unused-variable
 
+# not linted
+SMATCH=off
+
 CLOBBERFILES += acl.output
 
 # install this library in the root filesystem
--- old/usr/src/lib/libshare/Makefile.com	Tue Jan  8 12:18:29 2019
+++ new/usr/src/lib/libshare/Makefile.com	Tue Jan  8 12:18:29 2019
@@ -20,6 +20,7 @@
 #
 # Copyright (c) 2006, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright (c) 2016 by Delphix. All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 LIBRARY =	libshare.a
 VERS =		.1
@@ -47,6 +48,10 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-switch
+
+# not linted
+SMATCH=off
+
 CPPFLAGS +=	-D_REENTRANT -I$(NFSLIB_DIR) \
 		-I$(ADJUNCT_PROTO)/usr/include/libxml2
 
--- old/usr/src/lib/libshare/autofs/Makefile.com	Tue Jan  8 12:18:32 2019
+++ new/usr/src/lib/libshare/autofs/Makefile.com	Tue Jan  8 12:18:32 2019
@@ -21,7 +21,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libshare_autofs.a
 VERS =		.1
@@ -49,6 +49,10 @@
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-uninitialized
+
+# not linted
+SMATCH=off
+
 CPPFLAGS +=	-D_REENTRANT -I$(AUTOFSSMFLIB_DIR) \
 			-I$(ADJUNCT_PROTO)/usr/include/libxml2 \
   			-I$(SRCDIR)../common
@@ -67,7 +71,7 @@
 
 $(ROOTLIBDIR):
 	$(INS.dir)
- 
+
 $(ROOTLIBDIR64):
 	$(INS.dir)
 
--- old/usr/src/lib/libshare/nfs/Makefile.com	Tue Jan  8 12:18:36 2019
+++ new/usr/src/lib/libshare/nfs/Makefile.com	Tue Jan  8 12:18:36 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2006, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libshare_nfs.a
 VERS =		.1
@@ -53,6 +54,9 @@
 CPPFLAGS +=	-D_REENTRANT -I$(NFSLIB_DIR) \
 		-I$(ADJUNCT_PROTO)/usr/include/libxml2 -I$(SRCDIR)/../common
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/libshare/smb/Makefile.com	Tue Jan  8 12:18:40 2019
+++ new/usr/src/lib/libshare/smb/Makefile.com	Tue Jan  8 12:18:40 2019
@@ -24,6 +24,7 @@
 #
 # Copyright 2013 Nexenta Systems, Inc.  All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libshare_smb.a
 VERS =		.1
@@ -50,6 +51,10 @@
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-char-subscripts
 CERRWARN +=	-_gcc=-Wno-switch
+
+# not linted
+SMATCH=off
+
 CPPFLAGS +=	-D_REENTRANT -I$(ADJUNCT_PROTO)/usr/include/libxml2 \
   		-I$(SRCDIR)/../common
 $(ENABLE_SMB_PRINTING) CPPFLAGS += -DHAVE_CUPS
--- old/usr/src/lib/libsip/Makefile.com	Tue Jan  8 12:18:43 2019
+++ new/usr/src/lib/libsip/Makefile.com	Tue Jan  8 12:18:43 2019
@@ -21,8 +21,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY = libsip.a
 VERS    = .1
@@ -43,6 +42,9 @@
 CFLAGS +=	$(CCVERBOSE)
 CPPFLAGS +=	-DOS='"solaris"' -D__OS_solaris -DNDEBUG
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all:		$(LIBS)
--- old/usr/src/lib/libsldap/Makefile.com	Tue Jan  8 12:18:46 2019
+++ new/usr/src/lib/libsldap/Makefile.com	Tue Jan  8 12:18:46 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= libsldap.a
 VERS= .1
@@ -55,6 +56,9 @@
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/libslp/Makefile.com	Tue Jan  8 12:18:48 2019
+++ new/usr/src/lib/libslp/Makefile.com	Tue Jan  8 12:18:48 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libslp.a
 VERS =		.1
@@ -48,6 +49,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all:
--- old/usr/src/lib/libsmbfs/Makefile.com	Tue Jan  8 12:18:51 2019
+++ new/usr/src/lib/libsmbfs/Makefile.com	Tue Jan  8 12:18:51 2019
@@ -26,6 +26,7 @@
 #
 # Copyright 2013 Nexenta Systems, Inc.  All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # lib/libsmbfs/Makefile.com
@@ -76,7 +77,7 @@
 	ui-sun.o \
 	utf_str.o
 
-OBJ_CMN= smbfs_ntacl.o 
+OBJ_CMN= smbfs_ntacl.o
 
 OBJECTS= $(OBJ_LIB) $(OBJ_CMN)
 
@@ -97,11 +98,14 @@
 LDLIBS += -lsocket -lnsl -lc -lmd -lpkcs11 -lkrb5 -lsec -lidmap
 
 # normal warnings...
-CFLAGS	+=	$(CCVERBOSE) 
+CFLAGS	+=	$(CCVERBOSE)
 
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-unused-variable
 
+# not linted
+SMATCH=off
+
 CPPFLAGS += -D__EXTENSIONS__ -D_REENTRANT -DMIA \
 	-I$(SRCDIR) -I.. -I../netsmb \
 	-I$(SRC)/uts/common \
--- old/usr/src/lib/libsmedia/plugins/Makefile.com	Tue Jan  8 12:18:52 2019
+++ new/usr/src/lib/libsmedia/plugins/Makefile.com	Tue Jan  8 12:18:52 2019
@@ -22,8 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBS =		$(DYNLIB)
 
@@ -43,6 +42,9 @@
 
 SRCDIR =	../common
 
+# not linted
+SMATCH=off
+
 LINTFLAGS += -xu
 LINTFLAGS64 += -xu
 $(LINTPLUGIN) :=	SRCS=$(OBJECTS:%.o=../common/%.c)
--- old/usr/src/lib/libsocket/Makefile.com	Tue Jan  8 12:18:52 2019
+++ new/usr/src/lib/libsocket/Makefile.com	Tue Jan  8 12:18:52 2019
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 1997, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 LIBRARY	=	libsocket.a
@@ -60,6 +61,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all:
--- old/usr/src/lib/libsqlite/Makefile.com	Tue Jan  8 12:18:54 2019
+++ new/usr/src/lib/libsqlite/Makefile.com	Tue Jan  8 12:18:54 2019
@@ -3,6 +3,7 @@
 # Use is subject to license terms.
 # Copyright 2015 Igor Kozhukhov <ikozhukhov@gmail.com>
 # Copyright 2016 Nexenta Systems, Inc.  All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 # Make the SO name unlikely to conflict with any other
@@ -99,6 +100,9 @@
 CERRWARN += -_gcc=-Wno-unused-function
 CERRWARN += -_gcc=-Wno-unused-label
 
+# not linted
+SMATCH=off
+
 MAPFILES = ../mapfile-sqlite
 
 # headers generated here
--- old/usr/src/lib/libstmf/Makefile.com	Tue Jan  8 12:18:56 2019
+++ new/usr/src/lib/libstmf/Makefile.com	Tue Jan  8 12:18:56 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= libstmf.a
 VERS= .1
@@ -43,6 +44,9 @@
 
 CERRWARN +=	-_gcc=-Wno-unused-label
 
+# not linted
+SMATCH=off
+
 $(LINTLIB) := SRCS=	$(SRCDIR)/$(LINTSRC)
 
 .KEEP_STATE:
--- old/usr/src/lib/libsum/Makefile.com	Tue Jan  8 12:18:58 2019
+++ new/usr/src/lib/libsum/Makefile.com	Tue Jan  8 12:18:58 2019
@@ -23,6 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 SHELL=/usr/bin/ksh93
 
@@ -76,6 +77,8 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+SMOFF += all_func_returns
+
 # This codepath is performance-critical
 sparc_COPTFLAG=-xO5 -_cc=-xprefetch=auto,explicit
 sparcv9_COPTFLAG=-xO5 -_cc=-xprefetch=auto,explicit
--- old/usr/src/lib/libsun_ima/Makefile.com	Tue Jan  8 12:18:59 2019
+++ new/usr/src/lib/libsun_ima/Makefile.com	Tue Jan  8 12:18:59 2019
@@ -22,7 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libsun_ima.a
 VERS =		.1
@@ -51,6 +51,9 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 CPPFLAGS +=	-DSOLARIS
 
 .KEEP_STATE:
--- old/usr/src/lib/libsysevent/Makefile.com	Tue Jan  8 12:19:01 2019
+++ new/usr/src/lib/libsysevent/Makefile.com	Tue Jan  8 12:19:01 2019
@@ -22,8 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	libsysevent.a
 
@@ -44,6 +43,9 @@
 CFLAGS +=	$(CCVERBOSE)
 LDLIBS +=	-lnvpair -lc
 
+# not linted
+SMATCH=off
+
 $(LINTLIB) :=	SRCS = ../llib-lsysevent
 
 .KEEP_STATE:
--- old/usr/src/lib/libtecla/Makefile.com	Tue Jan  8 12:19:01 2019
+++ new/usr/src/lib/libtecla/Makefile.com	Tue Jan  8 12:19:01 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	libtecla.a
 VERS=		.1
@@ -46,6 +47,9 @@
 
 CERRWARN +=	-_gcc=-Wno-type-limits
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all:	$(LIBS)
--- old/usr/src/lib/libtnfctl/Makefile.com	Tue Jan  8 12:19:04 2019
+++ new/usr/src/lib/libtnfctl/Makefile.com	Tue Jan  8 12:19:04 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	libtnfctl.a
 VERS=		.1
@@ -80,6 +81,9 @@
 CERRWARN +=	-_gcc=-Wno-empty-body
 CERRWARN +=	-_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 ASFLAGS +=	-P
 
 $(ROOTHDRS) :=	FILEMODE = 644
--- old/usr/src/lib/libtnfprobe/Makefile.com	Tue Jan  8 12:19:07 2019
+++ new/usr/src/lib/libtnfprobe/Makefile.com	Tue Jan  8 12:19:07 2019
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 1997, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	libtnfprobe.a
 VERS=		.1
@@ -66,6 +67,9 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 $(ROOTHDRS) :=	FILEMODE = 644
 
 LDLIBS += -lc
--- old/usr/src/lib/libtsol/Makefile.com	Tue Jan  8 12:19:12 2019
+++ new/usr/src/lib/libtsol/Makefile.com	Tue Jan  8 12:19:12 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libtsol.a
 VERS =		.2
@@ -61,6 +62,9 @@
 
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/libumem/Makefile.com	Tue Jan  8 12:19:15 2019
+++ new/usr/src/lib/libumem/Makefile.com	Tue Jan  8 12:19:15 2019
@@ -22,7 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Copyright (c) 2012, Joyent, Inc.  All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 #
@@ -130,6 +130,8 @@
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-uninitialized
 
+SMOFF += deref_check
+
 $(LINTLIB) := SRCS = ../common/$(LINTSRC)
 
 # We want the thread-specific errno in the library, but we don't want it in
--- old/usr/src/lib/libuutil/Makefile.com	Tue Jan  8 12:19:17 2019
+++ new/usr/src/lib/libuutil/Makefile.com	Tue Jan  8 12:19:18 2019
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 2004, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libuutil.a
 VERS =		.1
@@ -73,6 +74,8 @@
 LINTFLAGS +=	-erroff=E_GLOBAL_COULD_BE_STATIC2
 LINTFLAGS64 +=	-erroff=E_GLOBAL_COULD_BE_STATIC2
 
+SMOFF += signed
+
 MY_NATIVE_CPPFLAGS = -DNATIVE_BUILD -I$(SRCDIR)
 MY_NATIVE_LDLIBS = -lc
 
--- old/usr/src/lib/libvscan/Makefile.com	Tue Jan  8 12:19:21 2019
+++ new/usr/src/lib/libvscan/Makefile.com	Tue Jan  8 12:19:21 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= libvscan.a
 VERS= .1
@@ -41,6 +42,8 @@
 CFLAGS += $(CCVERBOSE)
 CPPFLAGS += -I$(SRCDIR)
 
+SMOFF += signed
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/libwrap/Makefile.com	Tue Jan  8 12:19:23 2019
+++ new/usr/src/lib/libwrap/Makefile.com	Tue Jan  8 12:19:23 2019
@@ -22,6 +22,7 @@
 # Use is subject to license terms.
 #
 # Copyright 2011 Nexenta Systems, Inc. All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 LIBRARY =	libwrap.a
@@ -48,7 +49,7 @@
 CPPFLAGS +=	$(NETGROUP) $(TLI) $(ALWAYS_HOSTNAME) $(AUTH) \
 		$(STYLE) $(TABLES) $(DOT) $(BUGS) \
 		-DRFC931_TIMEOUT=$(RFC931_TIMEOUT) \
-		-I$(SRCDIR) 
+		-I$(SRCDIR)
 CFLAGS +=	$(CCVERBOSE)
 
 CERRWARN +=	-erroff=E_FUNC_EXPECTS_TO_RETURN_VALUE
@@ -60,6 +61,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(LIBS)
@@ -98,7 +102,7 @@
 # module, which also gives hints on how to add your own extensions.
 # Uncomment the next definition to turn on the language extensions
 # (examples: allow, deny, banners, twist and spawn).
-# 
+#
 STYLE	= -DPROCESS_OPTIONS	# Enable language extensions.
 
 ###########################
@@ -126,7 +130,7 @@
 # with connections from non-UNIX PCs.  On some systems, remote username
 # lookups can trigger a kernel bug, causing loss of service. The README
 # file describes how to find out if your UNIX kernel has that problem.
-# 
+#
 # Uncomment the following definition if the wrappers should always
 # attempt to get the remote user name. If this is not enabled you can
 # still do selective username lookups as documented in the hosts_access.5
@@ -155,7 +159,7 @@
 # hostname.  With selective hostname lookups, the client hostname
 # lookup is postponed until the name is required by an access control
 # rule or by a %letter expansion.
-# 
+#
 # In order to perform selective hostname lookups, disable paranoid
 # mode (see previous section) and comment out the following definition.
 
--- old/usr/src/lib/libxcurses/Makefile.com	Tue Jan  8 12:19:25 2019
+++ new/usr/src/lib/libxcurses/Makefile.com	Tue Jan  8 12:19:25 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	libcurses.a
 VERS=	.1
@@ -111,7 +112,7 @@
 ROOTLIBS=	$(LIBS:%=$(ROOTLIBDIR)/%)
 
 $(LINTLIB):= SRCS=../src/libc/llib-lcurses
-$(LINTLIB):= CPPFLAGS += -D_XOPEN_SOURCE_EXTENDED 
+$(LINTLIB):= CPPFLAGS += -D_XOPEN_SOURCE_EXTENDED
 
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-unused-variable
@@ -118,6 +119,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-unused-function
 
+# not linted
+SMATCH=off
+
 LINTSRC=	$(LINTLIB:%.ln=%)
 
 LDLIBS += -lc
--- old/usr/src/lib/libxcurses2/Makefile.com	Tue Jan  8 12:19:29 2019
+++ new/usr/src/lib/libxcurses2/Makefile.com	Tue Jan  8 12:19:29 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	libcurses.a
 VERS=	.2
@@ -99,6 +100,9 @@
 CERRWARN += -_gcc=-Wno-uninitialized
 CERRWARN += -_gcc=-Wno-unused-value
 
+# not linted
+SMATCH=off
+
 #
 # If and when somebody gets around to messaging this, CLOBBERFILE should not
 # be cleared (so that any .po file will be clobbered.
--- old/usr/src/lib/libzfs/Makefile.com	Tue Jan  8 12:19:34 2019
+++ new/usr/src/lib/libzfs/Makefile.com	Tue Jan  8 12:19:34 2019
@@ -22,6 +22,7 @@
 # Copyright (c) 2005, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2016 Igor Kozhukhov <ikozhukhov@gmail.com>
 # Copyright (c) 2011, 2017 by Delphix. All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 LIBRARY= libzfs.a
@@ -75,6 +76,9 @@
 CPPFLAGS +=	$(INCS) -D_LARGEFILE64_SOURCE=1 -D_REENTRANT
 $(NOT_RELEASE_BUILD)CPPFLAGS += -DDEBUG
 
+# not linted
+SMATCH=off
+
 # There's no lint library for zlib, so only include this when building
 $(DYNLIB) := LDLIBS +=	-lz
 
--- old/usr/src/lib/libzfs_jni/Makefile.com	Tue Jan  8 12:19:37 2019
+++ new/usr/src/lib/libzfs_jni/Makefile.com	Tue Jan  8 12:19:37 2019
@@ -22,10 +22,10 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-
-#
 # Copyright (c) 2015 by Delphix. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
+#
 
 LIBRARY= libzfs_jni.a
 VERS= .1
@@ -50,6 +50,8 @@
 $(NOT_RELEASE_BUILD) CPPFLAGS += -DDEBUG
 CERRWARN +=	-_gcc=-Wno-switch
 
+SMOFF += all_func_returns
+
 SRCDIR =	../common
 $(LINTLIB) := SRCS=	$(SRCDIR)/$(LINTSRC)
 
--- old/usr/src/lib/libzonestat/Makefile.com	Tue Jan  8 12:19:40 2019
+++ new/usr/src/lib/libzonestat/Makefile.com	Tue Jan  8 12:19:40 2019
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	libzonestat.a
 VERS=		.1
@@ -28,7 +29,7 @@
 
 include ../../Makefile.lib
 
-LIBS =		$(DYNLIB) $(LINTLIB) 
+LIBS =		$(DYNLIB) $(LINTLIB)
 LDLIBS +=	-lcmdutils -lumem -lc
 
 SRCDIR =	../common
@@ -37,6 +38,9 @@
 
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all:	$(LIBS)
--- old/usr/src/lib/libzpool/Makefile.com	Tue Jan  8 12:19:43 2019
+++ new/usr/src/lib/libzpool/Makefile.com	Tue Jan  8 12:19:43 2019
@@ -21,7 +21,7 @@
 #
 # Copyright (c) 2005, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright (c) 2013, 2016 by Delphix. All rights reserved.
-# Copyright 2017 Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 LIBRARY= libzpool.a
@@ -84,6 +84,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-function
 CERRWARN +=	-_gcc=-Wno-unused-label
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/mpapi/libmpapi/Makefile.com	Tue Jan  8 12:19:44 2019
+++ new/usr/src/lib/mpapi/libmpapi/Makefile.com	Tue Jan  8 12:19:44 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	libMPAPI.a
 VERS=		.1
@@ -47,6 +48,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 ROOTETC =	$(ROOT)/etc
 CONFDIR =	../common
 CONFFILE =	$(CONFDIR)/mpapi.conf
--- old/usr/src/lib/mpapi/libmpscsi_vhci/Makefile.com	Tue Jan  8 12:19:47 2019
+++ new/usr/src/lib/mpapi/libmpscsi_vhci/Makefile.com	Tue Jan  8 12:19:47 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	libmpscsi_vhci.a
 VERS=		.1
@@ -65,6 +66,9 @@
 CPPFLAGS +=	-I$(SRCDIR) -D_POSIX_PTHREAD_SEMANTICS
 CPPFLAGS +=	-DBUILD_TIME='"Wed Sep 24 12:00:00 2008"'
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(LIBS)
--- old/usr/src/lib/nsswitch/Makefile.com	Tue Jan  8 12:19:51 2019
+++ new/usr/src/lib/nsswitch/Makefile.com	Tue Jan  8 12:19:51 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 include		$(SRC)/lib/Makefile.lib
 
@@ -41,6 +42,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-address
 
+# not linted
+SMATCH=off
+
 LDLIBS +=	-lc
 HSONAME =
 
--- old/usr/src/lib/pam_modules/authtok_check/Makefile.com	Tue Jan  8 12:19:54 2019
+++ new/usr/src/lib/pam_modules/authtok_check/Makefile.com	Tue Jan  8 12:19:54 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	pam_authtok_check.a
 VERS=		.1
@@ -35,6 +36,9 @@
 CPPFLAGS	+= -D_FILE_OFFSET_BITS=64
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 all:	$(LIBS)
 
 lint:	lintcheck
--- old/usr/src/lib/pam_modules/krb5/Makefile.com	Tue Jan  8 12:19:57 2019
+++ new/usr/src/lib/pam_modules/krb5/Makefile.com	Tue Jan  8 12:19:57 2019
@@ -22,8 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# usr/src/lib/pam_modules/krb5/Makefile.com
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	pam_krb5.a
 VERS=		.1
@@ -51,6 +50,9 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-function
 
+# not linted
+SMATCH=off
+
 # module needs to be unloadable because the key destructor might be
 # called after dlclose()
 DYNFLAGS +=	$(ZNODELETE)
--- old/usr/src/lib/passwdutil/Makefile.com	Tue Jan  8 12:20:01 2019
+++ new/usr/src/lib/passwdutil/Makefile.com	Tue Jan  8 12:20:01 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	passwdutil.a
 VERS=		.1
@@ -43,7 +44,7 @@
 include	../../Makefile.lib
 
 #
-# Since our name doesn't start with "lib", Makefile.lib incorrectly 
+# Since our name doesn't start with "lib", Makefile.lib incorrectly
 # calculates LIBNAME. Therefore, we set it here.
 #
 LIBNAME=	passwdutil
@@ -60,6 +61,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-unused-label
 
+# not linted
+SMATCH=off
+
 lint	:=	SRCS= $(OBJ:%.o=$(SRCDIR)/%.c)
 
 .KEEP_STATE:
--- old/usr/src/lib/pkcs11/libpkcs11/Makefile.com	Tue Jan  8 12:20:04 2019
+++ new/usr/src/lib/pkcs11/libpkcs11/Makefile.com	Tue Jan  8 12:20:04 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= libpkcs11.a
 VERS= .1
@@ -78,6 +79,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all:	$(LIBS)
--- old/usr/src/lib/pkcs11/libsoftcrypto/amd64/Makefile	Tue Jan  8 12:20:08 2019
+++ new/usr/src/lib/pkcs11/libsoftcrypto/amd64/Makefile	Tue Jan  8 12:20:08 2019
@@ -24,6 +24,7 @@
 # Copyright 2017 Jason King
 # Copyright (c) 2018, Joyent, Inc.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libsoftcrypto.a
 VERS =		.1
@@ -42,6 +43,9 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 AES_PSM_SRC =	$(AES_DIR)/$(MACH64)/aes_amd64.s \
 		$(AES_DIR)/$(MACH64)/aes_intel.s \
 		$(AES_DIR)/$(MACH64)/aeskey.c
--- old/usr/src/lib/pkcs11/libsoftcrypto/i386/Makefile	Tue Jan  8 12:20:12 2019
+++ new/usr/src/lib/pkcs11/libsoftcrypto/i386/Makefile	Tue Jan  8 12:20:12 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libsoftcrypto.a
 VERS =		.1
@@ -34,6 +35,9 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 # Sources need to be redefined after Makefile.lib inclusion.
 SRCS =		$(AES_SRC) $(ARCFOUR_SRC) $(BIGNUM_SRC) $(BLOWFISH_SRC) \
 		$(DES_SRC) $(MODES_SRC) $(DH_SRC) $(DSA_SRC) $(RSA_SRC) \
--- old/usr/src/lib/pkcs11/pkcs11_kernel/Makefile.com	Tue Jan  8 12:20:16 2019
+++ new/usr/src/lib/pkcs11/pkcs11_kernel/Makefile.com	Tue Jan  8 12:20:16 2019
@@ -22,6 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= pkcs11_kernel.a
 VERS= .1
@@ -88,6 +89,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-unused-label
 
+# not linted
+SMATCH=off
+
 ROOTLIBDIR=     $(ROOT)/usr/lib/security
 ROOTLIBDIR64=   $(ROOT)/usr/lib/security/$(MACH64)
 
--- old/usr/src/lib/pkcs11/pkcs11_softtoken/Makefile.com	Tue Jan  8 12:20:19 2019
+++ new/usr/src/lib/pkcs11/pkcs11_softtoken/Makefile.com	Tue Jan  8 12:20:19 2019
@@ -24,8 +24,7 @@
 # Copyright 2010 Nexenta Systems, Inc.  All rights reserved.
 # Copyright 2018, Joyent, Inc.
 #
-# lib/pkcs11/pkcs11_softtoken/Makefile.com
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY = pkcs11_softtoken.a
 VERS= .1
@@ -136,6 +135,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-empty-body
 
+# not linted
+SMATCH=off
+
 CPPFLAGS += -I$(AESDIR) -I$(BLOWFISHDIR) -I$(ARCFOURDIR) -I$(DESDIR) \
 	    -I$(DHDIR) -I$(DSADIR) -I$(ECCDIR) -I$(SRC)/common/crypto \
 	    -I$(MPIDIR) -I$(RSADIR) -I$(RNGDIR) \
--- old/usr/src/lib/pkcs11/pkcs11_tpm/Makefile.com	Tue Jan  8 12:20:23 2019
+++ new/usr/src/lib/pkcs11/pkcs11_tpm/Makefile.com	Tue Jan  8 12:20:23 2019
@@ -23,6 +23,8 @@
 #
 # Copyright 2018 Jason King
 #
+# Copyright (c) 2018, Joyent, Inc.
+
 LIBRARY =	pkcs11_tpm.a
 VERS =		.1
 
@@ -95,6 +97,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 LINTSRC= $(OBJECTS:%.o=$(SRCDIR)/%.c)
 
 $(LINTLIB):=	SRCS	=	$(SRCDIR)/$(LINTSRC)
@@ -105,7 +110,7 @@
 .KEEP_STATE:
 
 all: $(LIBS)
- 
+
 lint: $$(LINTSRC)
 	$(LINT.c) $(LINTCHECKFLAGS) $(LINTSRC) $(LDLIBS)
 
--- old/usr/src/lib/print/libhttp-core/Makefile.com	Tue Jan  8 12:20:27 2019
+++ new/usr/src/lib/print/libhttp-core/Makefile.com	Tue Jan  8 12:20:27 2019
@@ -22,8 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =		libhttp-core.a
 VERS =			.1
@@ -47,6 +46,9 @@
 CPPFLAGS +=	-I$(SRCDIR)
 CPPFLAGS +=	-I../../libpapi-common/common
 
+# not linted
+SMATCH=off
+
 MAPFILES =	$(SRCDIR)/mapfile
 
 LDLIBS +=	-lsocket -lnsl -lc
--- old/usr/src/lib/print/libipp-core/Makefile.com	Tue Jan  8 12:20:31 2019
+++ new/usr/src/lib/print/libipp-core/Makefile.com	Tue Jan  8 12:20:31 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =		libipp-core.a
 VERS =			.0
@@ -46,6 +47,8 @@
 CERRWARN +=	-_gcc=-Wno-char-subscripts
 CERRWARN +=	-_gcc=-Wno-switch
 
+SMOFF += all_func_returns
+
 MAPFILES =	$(SRCDIR)/mapfile
 
 LDLIBS +=	-lpapi-common -lc
--- old/usr/src/lib/print/libipp-listener/Makefile.com	Tue Jan  8 12:20:35 2019
+++ new/usr/src/lib/print/libipp-listener/Makefile.com	Tue Jan  8 12:20:35 2019
@@ -22,7 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =		libipp-listener.a
 VERS =			.0
@@ -55,6 +55,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 MAPFILES =	$(SRCDIR)/mapfile
 
 LDLIBS +=	-lipp-core -lpapi -lc -lsocket -lnsl
--- old/usr/src/lib/print/libpapi-common/Makefile.com	Tue Jan  8 12:20:39 2019
+++ new/usr/src/lib/print/libpapi-common/Makefile.com	Tue Jan  8 12:20:39 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =		libpapi-common.a
 VERS =			.0
@@ -43,6 +44,9 @@
 
 CERRWARN +=	-_gcc=-Wno-switch
 
+# not linted
+SMATCH=off
+
 MAPFILES =	$(SRCDIR)/mapfile
 
 LDLIBS +=	-lc -lsocket -lnsl
--- old/usr/src/lib/print/libpapi-dynamic/Makefile.com	Tue Jan  8 12:20:42 2019
+++ new/usr/src/lib/print/libpapi-dynamic/Makefile.com	Tue Jan  8 12:20:42 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =		libpapi.a
 VERS =			.0
@@ -48,6 +49,8 @@
 
 CERRWARN +=	-_gcc=-Wno-unused-variable
 
+SMOFF += all_func_returns
+
 .KEEP_STATE:
 
 all:	$(LIBS)
--- old/usr/src/lib/print/libpapi-ipp/Makefile.com	Tue Jan  8 12:20:46 2019
+++ new/usr/src/lib/print/libpapi-ipp/Makefile.com	Tue Jan  8 12:20:46 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =		psm-ipp.a
 VERS =			.1
@@ -54,6 +55,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 MAPFILES =	$(SRCDIR)/mapfile
 
 LDLIBS +=	-L$(ROOTLIBDIR) -R/usr/lib/print -lhttp-core -lmd5
--- old/usr/src/lib/print/libpapi-lpd/Makefile.com	Tue Jan  8 12:20:49 2019
+++ new/usr/src/lib/print/libpapi-lpd/Makefile.com	Tue Jan  8 12:20:49 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =		psm-lpd.a
 VERS =			.1
@@ -51,6 +52,9 @@
 
 CERRWARN +=	-_gcc=-Wno-unused-variable
 
+# not linted
+SMATCH=off
+
 MAPFILES =	$(SRCDIR)/mapfile
 
 LDLIBS +=	-lc
--- old/usr/src/lib/print/libprint/Makefile.com	Tue Jan  8 12:20:51 2019
+++ new/usr/src/lib/print/libprint/Makefile.com	Tue Jan  8 12:20:51 2019
@@ -22,8 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =		libprint.a
 VERS =			.2
@@ -46,6 +45,9 @@
 CPPFLAGS +=	-I$(SRCDIR)
 CPPFLAGS +=	-I../../head -D_REENTRANT
 
+# not linted
+SMATCH=off
+
 LDLIBS +=	-lnsl -lsocket -lc -lldap
 
 
--- old/usr/src/lib/rpcsec_gss/Makefile.com	Tue Jan  8 12:20:55 2019
+++ new/usr/src/lib/rpcsec_gss/Makefile.com	Tue Jan  8 12:20:55 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= rpcsec.a
 VERS = .1
@@ -40,6 +41,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 DYNFLAGS +=	$(ZIGNORE)
 
 LINTSRC=	$(LINTLIB:%.ln=%)
--- old/usr/src/lib/sasl_plugins/Makefile.com	Tue Jan  8 12:20:59 2019
+++ new/usr/src/lib/sasl_plugins/Makefile.com	Tue Jan  8 12:20:59 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 COMMONOBJS=	plugin_common.o
 OBJECTS=	$(PLUG_OBJS) $(COMMONOBJS)
@@ -32,6 +33,9 @@
 
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 LIBS =		$(DYNLIB)
 SRCS=		$(PLUG_OBJS:%.o=../%.c) \
 		$(COMMONOBJS:%.o=$(SRC)/lib/libsasl/plugin/%.c)
--- old/usr/src/lib/scsi/libses/Makefile.defs	Tue Jan  8 12:21:04 2019
+++ new/usr/src/lib/scsi/libses/Makefile.defs	Tue Jan  8 12:21:04 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 SRCS = $(OBJECTS:%.o=../common/%.c)
 CSTD = $(CSTD_GNU99)
@@ -33,6 +34,8 @@
 CERRWARN += -_gcc=-Wno-uninitialized
 CERRWARN += -_gcc=-Wno-unused-label
 
+SMOFF += all_func_returns
+
 ROOTLIBDIR = $(ROOTSCSILIBDIR)
 ROOTLIBDIR64 = $(ROOTSCSILIBDIR)/$(MACH64)
 
--- old/usr/src/lib/scsi/libsmp/Makefile.com	Tue Jan  8 12:21:07 2019
+++ new/usr/src/lib/scsi/libsmp/Makefile.com	Tue Jan  8 12:21:07 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY = libsmp.a
 VERS = .1
@@ -44,6 +45,8 @@
 CERRWARN += -_gcc=-Wno-type-limits
 CERRWARN += -_gcc=-Wno-uninitialized
 
+SMOFF += all_func_returns
+
 LDLIBS += \
 	-lumem \
 	-lc
--- old/usr/src/lib/scsi/plugins/scsi/engines/uscsi/Makefile.com	Tue Jan  8 12:21:11 2019
+++ new/usr/src/lib/scsi/plugins/scsi/engines/uscsi/Makefile.com	Tue Jan  8 12:21:11 2019
@@ -23,9 +23,11 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+# Copyright (c) 2018, Joyent, Inc.
 
 MODULE =	uscsi
 SRCS =		uscsi.c
 
 include ../../Makefile.engine
+
+SMOFF += signed
--- old/usr/src/lib/smbsrv/libfksmbsrv/Makefile.com	Tue Jan  8 12:21:13 2019
+++ new/usr/src/lib/smbsrv/libfksmbsrv/Makefile.com	Tue Jan  8 12:21:13 2019
@@ -24,6 +24,7 @@
 #
 # Copyright 2014 Nexenta Systems, Inc.  All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libfksmbsrv.a
 VERS =		.1
@@ -215,6 +216,9 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-switch
 
+# not linted
+SMATCH=off
+
 SRCS=   $(OBJS_LOCAL:%.o=$(SRCDIR)/%.c) \
 	$(OBJS_FS_SMBSRV:%.o=$(SRC)/uts/common/fs/smbsrv/%.c) \
 	$(OBJS_CMN_SMBSRV:%.o=$(SRC)/common/smbsrv/%.c)
--- old/usr/src/lib/smbsrv/libmlsvc/Makefile.com	Tue Jan  8 12:21:14 2019
+++ new/usr/src/lib/smbsrv/libmlsvc/Makefile.com	Tue Jan  8 12:21:14 2019
@@ -22,6 +22,7 @@
 # Copyright (c) 2007, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2014 Nexenta Systems, Inc.  All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libmlsvc.a
 VERS =		.1
@@ -93,6 +94,10 @@
 CERRWARN += -_gcc=-Wno-unused-function
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
+
 SRCS=   $(OBJS_COMMON:%.o=$(SRCDIR)/%.c)
 
 include ../../Makefile.targ
--- old/usr/src/lib/smbsrv/libsmb/Makefile.com	Tue Jan  8 12:21:17 2019
+++ new/usr/src/lib/smbsrv/libsmb/Makefile.com	Tue Jan  8 12:21:17 2019
@@ -22,6 +22,7 @@
 # Copyright (c) 2007, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2014 Nexenta Systems, Inc.  All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= libsmb.a
 VERS= .1
@@ -88,6 +89,9 @@
 CERRWARN +=	-_gcc=-Wno-char-subscripts
 CERRWARN +=	-_gcc=-Wno-switch
 
+# not linted
+SMATCH=off
+
 SRCS=   $(OBJS_COMMON:%.o=$(SRCDIR)/%.c)	\
 	$(OBJS_SHARED:%.o=$(SRC)/common/smbsrv/%.c)
 
--- old/usr/src/lib/smbsrv/libsmbns/Makefile.com	Tue Jan  8 12:21:19 2019
+++ new/usr/src/lib/smbsrv/libsmbns/Makefile.com	Tue Jan  8 12:21:19 2019
@@ -20,7 +20,8 @@
 #
 # Copyright (c) 2007, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2014 Nexenta Systems, Inc.  All rights reserved.
-# 
+#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= libsmbns.a
 VERS= .1
@@ -56,6 +57,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-function
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 # DYNLIB libraries do not have lint libs and are not linted
 $(DYNLIB) :=	LDLIBS += -lkrb5
 
--- old/usr/src/lib/smhba/Makefile.com	Tue Jan  8 12:21:21 2019
+++ new/usr/src/lib/smhba/Makefile.com	Tue Jan  8 12:21:21 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 
 LIBRARY =	libSMHBAAPI.a
@@ -49,6 +50,8 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-unused-function
 
+SMOFF += indenting,all_func_returns
+
 LDLIBS +=	-lc
 
 $(LINTLIB) := SRCS=	$(SRCDIR)/$(LINTSRC)
--- old/usr/src/lib/sun_sas/Makefile.com	Tue Jan  8 12:21:25 2019
+++ new/usr/src/lib/sun_sas/Makefile.com	Tue Jan  8 12:21:25 2019
@@ -22,7 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libsun_sas.a
 VERS =		.1
@@ -84,6 +84,9 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-value
 
+# not linted
+SMATCH=off
+
 LDLIBS		+= -ldevinfo
 LDLIBS		+= -lsysevent
 LDLIBS		+= -lnvpair
--- old/usr/src/lib/udapl/udapl_tavor/Makefile.com	Tue Jan  8 12:21:26 2019
+++ new/usr/src/lib/udapl/udapl_tavor/Makefile.com	Tue Jan  8 12:21:26 2019
@@ -22,9 +22,10 @@
 #
 # Copyright (c) 2009, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
-LIBRARY=       	udapl_tavor.a 
-VERS=          	.1 
+LIBRARY=       	udapl_tavor.a
+VERS=          	.1
 
 LOCOBJS =	\
 	dapl_cno_create.o \
@@ -139,7 +140,7 @@
 
 SRCS = $(LOCOBJS:%.o=$(SRCDIR)/%.c) $(TAVOROBJS:%.o=$(TAVORSRCDIR)/%.c)
 
-CPPFLAGS +=	-I$(SRC)/lib/udapl/udapl_tavor/include 
+CPPFLAGS +=	-I$(SRC)/lib/udapl/udapl_tavor/include
 CPPFLAGS +=	-I$(SRC)/lib/udapl/udapl_tavor/tavor
 CPPFLAGS +=	-I$(SRC)/uts/common/sys/ib/clients/daplt
 CPPFLAGS +=	-I$(SRC)/uts/common
@@ -152,6 +153,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-switch
 
+# not linted
+SMATCH=off
+
 $(NOT_RELEASE_BUILD)CPPFLAGS += -DDAPL_DBG
 debug := COPTFLAG = -g
 debug := COPTFLAG64 = -g
